Bug 1461596 - CloudForms Topology View shows Archived VMs
CloudForms Topology View shows Archived VMs
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.7.0
Unspecified Unspecified
high Severity medium
: GA
: 5.8.1
Assigned To: Dávid Halász
Satyajit Bulage
topology:archive
: ZStream
Depends On: 1456031
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-14 18:02 EDT by Satoe Imaishi
Modified: 2017-08-02 13:31 EDT (History)
10 users (show)

See Also:
Fixed In Version: 5.8.1.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1456031
Environment:
Last Closed: 2017-08-02 13:31:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 CFME Bot 2017-06-14 18:16:09 EDT
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/50cf2edbc6f51241261a09bb0531b3b3257b4f50

commit 50cf2edbc6f51241261a09bb0531b3b3257b4f50
Author:     Greg Blomquist <blomquisg@gmail.com>
AuthorDate: Wed Jun 14 13:51:36 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Jun 14 18:14:44 2017 -0400

    Merge pull request #15329 from skateman/cloud-tenant-active-vms
    
    Limit CloudTenants' related VMs to the non-archived ones
    (cherry picked from commit 9e19b17fd7984eb1b099de7d68de6cde806aa466)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1461596

 app/models/cloud_tenant.rb                                     |  2 +-
 app/models/vm_or_template.rb                                   |  2 ++
 .../save_inventory/single_inventory_collection_spec.rb         | 10 +++++-----
 3 files changed, 8 insertions(+), 6 deletions(-)
Comment 3 Satyajit Bulage 2017-06-28 09:22:11 EDT
Archived VMs are not present in the topology view.

Verified Version: 5.8.1.0.20170623170756_3ed4411
Comment 5 errata-xmlrpc 2017-08-02 13:31:22 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1758

Note You need to log in before you can comment on or make changes to this bug.